Name:		ignition-msgs
Version:	0.6.1
Release:	1%{?dist}
Summary:	Common messages for the ignition framework

License:	ASL 2.0
URL:		http://www.ignitionrobotics.org
Source0:	http://gazebosim.org/distributions/ign-msgs/releases/%{name}-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	doxygen
BuildRequires:	ignition-math-devel
BuildRequires:	protobuf-devel

%description
A standard set of message definitions, used by Ignition Transport, and
other applications.  Contains pre-compiled protobuf definitions of messages
for re-use by other libraries and applications.

%package devel
Summary: Development libraries and headers for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: ignition-math-devel
Requires: protobuf-devel

%description devel
%{summary}

%prep
%setup -q

%build
mkdir build; cd build
%cmake ..
make %{?_smp_mflags}
make doc

%install
%make_install -C build
rm -fr %{buildroot}%{_prefix}/lib/ruby

%check
make -C build test

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%license COPYING LICENSE
%doc AUTHORS NEWS README.md
%{_libdir}/*.so.*
%{_datadir}/ignition

%files devel
%doc build/doxygen/html
%{_libdir}/*.so
%{_includedir}/ignition
%{_libdir}/cmake/%{name}0
%{_libdir}/pkgconfig/*.pc

%changelog
* Mon Jan 09 2017 Rich Mattes <richmattes@gmail.com> - 0.6.1-1
- Initial package
